<?php
namespace EpTest\Gath\Adapter;

use Ep\Gath\Adapter\RestAdapter;

/**
 * Class TestAdapter
 *
 * @package EpTest\Gath\Adapter
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class RestAdapterMock extends RestAdapter
{
	public $requests = [];

	/** @noinspection PhpMissingParentConstructorInspection */
	public function __construct()
	{ }

	/**
	 * Samo sprema request za kasniju analizu.
	 *
	 * @param $path
	 * @param array $params
	 *
	 * @return array|void
	 */
	protected function request($path, array $params)
	{
		$this->requests[] = [
			'path' => $path,
			'params' => $params,
		];
	}
}