<?php
namespace EpTest\Validator;

use Ep\Validator\DisableableValidatorChain;
use EpTest\IntegrationTestCase;

/**
 * Class IntegrationTest
 *
 * @package EpTest\Validator
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class IntegrationTest extends IntegrationTestCase
{
	/**
	 * DisblalbablaValidatorChain je registriran u manager.
	 */
	public function testDisableableValidatorChainIsRegistered()
	{
		$validators = $this->getValidatorManager();
		$chain = $validators->get('DisableableValidatorChain');

		$this->assertInstanceOf(DisableableValidatorChain::class, $chain);
	}
}